Bug 179024

Summary: Update port: www/py-selenium Upgrade to 2.33.0
Product: Ports & Packages Reporter: Douglas Thrift <douglas>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me CC: douglas
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py-selenium.2013-05-26T180623Z.diff none

Description Douglas Thrift 2013-05-27 21:10:00 UTC
Upgraded www/py-selenium to 2.33.0. Fixed optional Firefox dependency.

https://redports.org/buildarchive/20130526180801-40983/

From CHANGES:

Selenium 2.33
* getText() ignores elements in the <head>
* Adding both official and informal string representations to Color object.
* Replace distutils.dir_util by shutil
* Allow finding firefox binary at ProgramFiles(x86) on windows(64 bit)
* Py3 compatible winreg import and content-type access
Comment 1 Edwin Groothuis freebsd_committer 2013-05-27 21:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-05-28 06:57:33 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-05-29 01:37:54 UTC
Author: miwi
Date: Wed May 29 00:37:44 2013
New Revision: 319332
URL: http://svnweb.freebsd.org/changeset/ports/319332

Log:
  - Update to 2.33.0
  
  PR:		179024
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/py-selenium/Makefile
  head/www/py-selenium/distinfo

Modified: head/www/py-selenium/Makefile
==============================================================================
--- head/www/py-selenium/Makefile	Wed May 29 00:36:46 2013	(r319331)
+++ head/www/py-selenium/Makefile	Wed May 29 00:37:44 2013	(r319332)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	selenium
-PORTVERSION=	2.32.0
+PORTVERSION=	2.33.0
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -25,7 +25,7 @@ FIREFOX_DESC=	Install Firefox
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MFIREFOX}
-USE_FIREFOX=	10+
+USE_FIREFOX=	yes
 .endif
 
 .include <bsd.port.mk>

Modified: head/www/py-selenium/distinfo
==============================================================================
--- head/www/py-selenium/distinfo	Wed May 29 00:36:46 2013	(r319331)
+++ head/www/py-selenium/distinfo	Wed May 29 00:37:44 2013	(r319332)
@@ -1,2 +1,2 @@
-SHA256 (selenium-2.32.0.tar.gz) = 338ec50b06f94e52b66f1baf2e39e4f06e2ddb80569bc7fa30c4291944906b71
-SIZE (selenium-2.32.0.tar.gz) = 2506082
+SHA256 (selenium-2.33.0.tar.gz) = 6508690bad70881eb851c3921b7cb51faa0e3409e605b437058e600677ede89b
+SIZE (selenium-2.33.0.tar.gz) = 2536129
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-05-29 01:38:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!